package cn.reghao.tnb.file.app.zdisk.model.vo;

import cn.reghao.tnb.file.app.zdisk.model.po.DiskFile;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author reghao
 * @date 2023-11-14 10:55:43
 */
@Getter
public class FileTree {
    private String pid;
    private String fileId;
    private int fileType;
    private List<FileTree> children;

    public FileTree(DiskFile diskFile) {
        this.pid = diskFile.getPid();
        this.fileId = diskFile.getFileId();
        this.fileType = diskFile.getFileType();
        this.children = new ArrayList<>();
    }

    public FileTree(String pid, String fileId, int fileType) {
        this.pid = pid;
        this.fileId = fileId;
        this.fileType = fileType;
        this.children = new ArrayList<>();
    }
}
